Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Revoke an agreement

POST
/v1/tenant/{tenantKey}/agreement/{agreementKey}/revoke
curl --request POST \
--url https://sender.api.kivra.com/v1/tenant/example/agreement/example/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '"example"'

Revoke an agreement. An agreement once revoked can no longer be accessed or signed by any of the parties. An agreement can only be rekoved if in state active, and after revoke will be put in state revoked. A revoked agreement can never become active again.

  • oAuth2Client
    post:kivra.v1.tenant.{tenantKey}.agreement.{agreementKey}.revoke
tenantKey
required
string format: hexadecimal

The unique Key for a Tenant

agreementKey
required
string format: hexadecimal

The unique Key for an Agreement

Empty JSON body

Media typeapplication/json
Examplegenerated
example

Empty response confirming that the revoke operation was successful